// 
// Scilab 5 Test script for drawing non-UTF8 locale text
// by Yung-Jang Lee
//
// ϧΤ
scf() ;
subplot(221)
title('D');
t=0:0.1:2*%pi;
plot2d(t,[sin(t'),cos(t')],[-1,2]);  
legends(['';'l'],[-1,2], opt=3 )

subplot(222)
   plot3d()
   xtitle("D","X bХ", "y bХ","z bХ") 
   a=get("current_axes");
   tt=a.title;
   tt.font_size=5;
   tt.font_style=5;

   x_label=a.x_label;
   x_label.text="X bХ"
   x_label.font_style= 5;
   a.y_label.foreground = 12;
subplot(223)

alphabet=["" "A" "" "B";  ..
          "" "" "p" "q"; ..
          "" "" "" "" ..
          ];
a=get("current_axes"); a.font_size=5;
xstring(0.1,0.3,alphabet)
subplot(224)
str=["Scilab" "i";"g" "elisaB"];
plot2d(0,0,[-1,1],"010"," ",[0,0,1,1]);
r=[0,0,1,0.5];
xstringb(r(1),r(2),str,r(3),r(4),"fill");
xrect(r(1),r(2)+r(4),r(3),r(4))
r=[r(1),r(2)+r(4)+0.01,r(3),r(4)/2];
xrect(r(1),r(2)+r(4),r(3),r(4))
xstringb(r(1),r(2),str,r(3),r(4),"fill");
r=[r(1),r(2)+r(4)+0.01,r(3),r(4)/2];

about()
